#include <Arduino.h>
#include "theSecrets.h"

#ifdef ESP32
#include "WiFi.h"
#elif defined(ESP8266)
#include "ESP8266WiFi.h"
#define LED 2
#define DELAY 2000
#endif

void toggleLED()
{
  if (digitalRead(LED) == LOW)
    digitalWrite(LED, HIGH);
  else
    digitalWrite(LED, LOW);
}

void setup()
{
#ifdef ESP8266
  pinMode(LED, OUTPUT);
#endif
  Serial.begin(115200);
  Serial.println();
  WiFi.begin(ssid, psk);
  while (!WiFi.isConnected())
  {
#ifdef ESP8266
    toggleLED();
#endif
    Serial.print(".");
    delay(200);
  }
  Serial.println();
  Serial.print("IP: ");
  Serial.println(WiFi.localIP());
}

void loop()
{
#ifdef ESP8266
  digitalWrite(LED, LOW);
  delay(DELAY);
  digitalWrite(LED, HIGH);
  delay(DELAY);
#endif
}